Subject: bug#66723: closed (Re: [bug#66723] [PATCH 0/3] gnu: zig-0.10: Inherit from zig-0.9.)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 26 Nov 2023 05:43:02 +0000

Your bug report

#66723: [PATCH 0/3] gnu: zig-0.10: Inherit from zig-0.9.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
66723: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=66723
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#66723] [PATCH 0/3] gnu: zig-0.10: Inherit from zig-0.9.
From: Hilton Chain <[email-masked]>
To: [email-masked]
Cc: Nguyễn Gia Phong <[email-masked]>, Ludovic Courtès <[email-masked]>, Ekaitz Zarraga <[email-masked]>
Date: Sat, 25 Nov 2023 22:10:06 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu, 23 Nov 2023 23:23:05 +0800,
Hilton Chain wrote:
[...]
> On Wed, 22 Nov 2023 20:12:43 +0800, Ludovic Courtès wrote:
> >
> > Hi Hilton,
> >
> > Hilton Chain <[email-masked]> skribis:
> >
> > > This series applies gexp to package arguments of [email-masked] and [email-masked], and
> > > makes the latter inherit from the former.
> > >
> > > I have already packaged [email-masked], which depends on LLVM 16
> > > (https://issues.guix.gnu.org/66701), will send the patch soon.
> > >
> > > Hilton Chain (3):
> > >   gnu: zig-0.10: Use gexp.
> > >   gnu: zig-0.9: Use gexp.
> > >   gnu: zig-0.10: Inherit from zig-0.9.
> >
> > It’s been a while, and I think this patch series can go in.
> >
> > As Nguyễn Gia Phong, we should question whether to keep zig 0.9, but that can
> > come later.
> 
> 
> Thank you!  I'll push the series this weenkend.

Pushed as ca8dda242873...f0682a6388c5.

Subject: [PATCH 0/3] gnu: zig-0.10: Inherit from zig-0.9.
From: Hilton Chain <[email-masked]>
To: [email-masked]
Cc: Hilton Chain <[email-masked]>
Date: Tue, 24 Oct 2023 16:23:29 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

This series applies gexp to package arguments of [email-masked] and [email-masked], and
makes the latter inherit from the former.

I have already packaged [email-masked], which depends on LLVM 16
(https://issues.guix.gnu.org/66701), will send the patch soon.

Hilton Chain (3):
  gnu: zig-0.10: Use gexp.
  gnu: zig-0.9: Use gexp.
  gnu: zig-0.10: Inherit from zig-0.9.

 gnu/packages/zig.scm | 215 +++++++++++++++++++++----------------------
 1 file changed, 107 insertions(+), 108 deletions(-)

base-commit: be223a9451cc7bf7437c8fb2ee13f6ed726e6097
--
2.41.0